/* Validation 追加ルール */

/* 半角アルファベット */
jQuery.validator.addMethod("alphabet", function(value, element) {
	return this.optional(element) || /^([a-zA-Z]+)$/.test(value);
	}, "半角英字で入力してください"
);

/* 半角アルファベット+数字のみ */
jQuery.validator.addMethod("onlyalphanumeric", function(value, element) {
	return this.optional(element) || /^([a-zA-Z0-9]+)$/.test(value);
	}, "半角英数字で入力してください"
);

/* 全角ひらがな */
jQuery.validator.addMethod("hiragana", function(value, element) {
	return this.optional(element) || /^([ぁ-ん]+)$/.test(value);
	}, "全角ひらがなで入力してください"
);

/* 全角カタカナ */
jQuery.validator.addMethod("katakana", function(value, element) {
	return this.optional(element) || /^([ァ-ヶー]+)$/.test(value);
	}, "全角カタカナで入力してください"
);


/* 郵便番号 */
jQuery.validator.addMethod("postcode", function(value, element) {
	return this.optional(element) || /^\d{3}\-\d{4}$/.test(value);
	}, "有効な郵便番号を入力してください<br />例）140-0014"
);

/* 電話番号 */
jQuery.validator.addMethod("telnum", function(value, element) {
	return this.optional(element) || /^(0[0-9-]+\d)$/.test(value);
	}, "有効な電話番号を入力してください<br /> 例）03-1234-5678）"
);